organizations UI does not filter resources to associate based upon RBAC

09/03/2014 10:50 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Users, Roles and Permissions   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1136910 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2225

  

Description

The list of resources to association with an organization or location, for example subnets, does not honor the user's RBAC

permissions. For example, if a user has a filter to see only subnet S1 but there are other subnets S2 and S3, all three will be

displayed instead of just S1.

Also related, however, is the fact that the UI sends up the list of subnets on form submit as a group. This means that if the above

case is fixed so that the user only sees S1 in the list of choices, this will lead to them effectively remove S2 and S3 if another user

had added those. The UI needs to be fixed to perform separate add and remove operations on individual IDs rather than blindly

posting back what it believes to be the full set.

Related issues:

Related to Foreman - Bug #6760: Models should ensure the authorization of ass... New 07/23/2014

Related to Foreman - Bug #7221: Edit organization displays associated resourc... Closed 08/21/2014

Related to Foreman - Bug #11187: Taxonomy selectors are empty even for users ... Closed 07/22/2015

Associated revisions

Revision 887e2fd9 - 05/21/2015 05:18 AM - Tomer Brisker

Fixes #7337 - Only list authorized items on multiple select

History

#1 - 09/03/2014 10:50 AM - Thomas McKay

- Bugzilla link set to 1136910

#2 - 09/03/2014 10:56 AM - Dominic Cleal

- Related to Bug #6760: Models should ensure the authorization of associated objects before associating them to the model added

#3 - 09/03/2014 10:56 AM - Dominic Cleal

- Related to Bug #7221: Edit organization displays associated resources for use w/o permissions added

#4 - 09/03/2014 10:56 AM - Dominic Cleal

- Category changed from Web Interface to Users, Roles and Permissions

#5 - 03/04/2015 04:13 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#6 - 03/04/2015 05:14 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2225 added

- Pull request deleted ()
#7 - 05/21/2015 05:21 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#8 - 05/21/2015 06:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 887e2fd905a470cfd8d2f7db25d1b4274c548afc.

#9 - 07/22/2015 04:50 AM - Marek Hulán

- Related to Bug #11187: Taxonomy selectors are empty even for users with assign permissions added
